USE webhomecoverdb;

DROP TABLE claim;
CREATE TABLE claim (
	claimID_PK INTEGER NOT NULL PRIMARY KEY AUTO_INCREMENT,
	reference VARCHAR(15),
	description VARCHAR(100),
	amount FLOAT,
	approved BOOLEAN,
	claimDate DATE,
	policyID_FK INTEGER
);

DROP TABLE policy;
CREATE TABLE policy (
	policyID_PK INTEGER NOT NULL PRIMARY KEY AUTO_INCREMENT,
	policyNumber INTEGER,
	type VARCHAR(20),
	startDate DATE,
	annualPremium FLOAT,
	paidUp BOOLEAN,
	policyHolderID_FK INTEGER
);

DROP TABLE policyholder;
CREATE TABLE policyholder (
	policyholderID_PK INTEGER NOT NULL PRIMARY KEY AUTO_INCREMENT,
	accountNumber INTEGER,
	name VARCHAR(30),
	address VARCHAR(50)
);

INSERT INTO claim
 VALUES (1,'B2007-11-051','Broken window',150.00,true,'2007-05-11',1);
INSERT INTO claim
 VALUES (2,'C2007-04-131','Stained carpet',1000.00,false,'2007-04-13',2);
INSERT INTO claim
 VALUES (3,'C2007-22-011','Stolen camera',650.00,true,'2007-01-22',2);
INSERT INTO claim
 VALUES (4,'B2007-04-011','House burned down',350000.00,true,'2007-01-04',3);

INSERT INTO policy VALUES
 (1,233142,'buildings','2007-02-12',45.60,true,1);
INSERT INTO policy VALUES
 (2,384475,'contents','2006-11-21',37.00,true,1);
INSERT INTO policy VALUES
 (3,332574,'buildings','2005-06-03',120.50,false,2);
INSERT INTO policy VALUES
 (4,928376,'buildings','2008-12-30',120.50,true,3);
INSERT INTO policy VALUES
 (5,885746,'contents','2007-10-13',120.50,true,3);

INSERT INTO policyholder VALUES(1,1625344,'Mr. Charles Babbage','55, Old Road, London, United Kingdom');
INSERT INTO policyholder VALUES(2,5424882,'Dr. Bjarne Stroustrup','4, Wellington Road,Auckland, New Zealand');
INSERT INTO policyholder VALUES(3,2314253,'Ms. Grace Hopper','1,Forest Heights, San Francisco, United States');
