package com.webhomecover.beans;

import java.text.NumberFormat;
import java.util.Collection;
import java.util.ArrayList;

public class ClaimBean
{
 private String policyNumber = new String();
 private double claimValue = 0;
 private String claimType = null;
 private String claimDescription = new String();
 private Collection<String> errors = new ArrayList<String>();
 
 public ClaimBean()
 {
  super();
 }
 
 public String getPolicyNumber()
 {
  return policyNumber;
 }
 
 public String getClaim()
 {
  NumberFormat currencyFormat = NumberFormat.getCurrencyInstance();
  String valueOfClaimFormatted = currencyFormat.format(claimValue);
  return valueOfClaimFormatted;
 }

 public String getType()
 {
  return claimType;
 }
 
 public String getDescription()
 {
  return claimDescription;
 }
 
 public void setPolicyNumber(String policynumber)
 {
  policyNumber = policynumber;
 }

 public void setClaim(String claim)
 {
  try
  {
   claimValue = Double.parseDouble(claim);
  }
  catch(NumberFormatException e)
  {
   e.printStackTrace();
   System.out.println(claimValue + " is not a valid number");
  }
 }
 
 public void setType(String type)
 {
  claimType = type;
 }

 public void setDescription(String description)
 {
  claimDescription = description;
 }
 
 public void setAmount(double amount)
 {
  claimValue =  amount;
 }
 
 public double getAmount()
 {
  return claimValue;
 }

 public void validate()
 {
  errors.clear();
  if(getPolicyNumber().isEmpty())
  {
   errors.add("Please provide a policy number");
  }
  if(getAmount() == 0)
  {
   errors.add("Please provide a valid claim amount");
  }
  if(getType() == null)
  {
   errors.add("Please select either buildings or contents insurance");
  }
  if(getDescription().isEmpty())
  {
   errors.add("Please provide a description");
  }
 }
 
 public Collection<String> getErrors()
 { 
  return errors;
 }
}
